package com.sundot.airport.exam.logic.manage.model.result.sub;

import com.sundot.airport.exam.enums.QuesOptionTypeEnum;

import java.util.Date;

/**
 * <b>功能名：</b>QuesAddResult<br>
 * <b>说明：</b> 题目详情选项结果 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-21 liangxiao
 */
public class QuesOptionResult {

    /**
     * 所属题干业务主键
     */
    private String quId;

    /**
     * 业务主键
     */
    private String qoId;

    /**
     * 选项排序
     */
    private Integer sort;

    /**
     * 是否正确答案（0否1是）
     */
    private Boolean qoCorrect;

    /**
     * 选项图片类型
     * - TEXT文字；IMG图片
     */
    private QuesOptionTypeEnum qoOptionType;

    /**
     * 选项内容or图片资源id
     */
    private String qoOption;

    /**
     * 对应连线选项排序
     */
    private Integer qoConnSort;

    /**
     * 对应连线选项图片类型
     * - TEXT文字；IMG图片
     */
    private QuesOptionTypeEnum qoConnOptType;

    /**
     * 对应连线选项内容or图片资源id
     */
    private String qoConnOpt;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String createUid;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新人
     */
    private String updateUid;

    @Override
    public String toString() {
        return "QuesOptionResult{" +
                "quId='" + quId + '\'' +
                ", qoId='" + qoId + '\'' +
                ", sort=" + sort +
                ", qoCorrect=" + qoCorrect +
                ", qoOptionType=" + qoOptionType +
                ", qoOption='" + qoOption + '\'' +
                ", qoConnSort=" + qoConnSort +
                ", qoConnOptType=" + qoConnOptType +
                ", qoConnOpt='" + qoConnOpt + '\'' +
                ", createTime=" + createTime +
                ", createUid='" + createUid + '\'' +
                ", updateTime=" + updateTime +
                ", updateUid='" + updateUid + '\'' +
                '}';
    }

    public String getQuId() {
        return quId;
    }

    public void setQuId(String quId) {
        this.quId = quId;
    }

    public String getQoId() {
        return qoId;
    }

    public void setQoId(String qoId) {
        this.qoId = qoId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Boolean getQoCorrect() {
        return qoCorrect;
    }

    public void setQoCorrect(Boolean qoCorrect) {
        this.qoCorrect = qoCorrect;
    }

    public QuesOptionTypeEnum getQoOptionType() {
        return qoOptionType;
    }

    public void setQoOptionType(QuesOptionTypeEnum qoOptionType) {
        this.qoOptionType = qoOptionType;
    }

    public String getQoOption() {
        return qoOption;
    }

    public void setQoOption(String qoOption) {
        this.qoOption = qoOption;
    }

    public Integer getQoConnSort() {
        return qoConnSort;
    }

    public void setQoConnSort(Integer qoConnSort) {
        this.qoConnSort = qoConnSort;
    }

    public QuesOptionTypeEnum getQoConnOptType() {
        return qoConnOptType;
    }

    public void setQoConnOptType(QuesOptionTypeEnum qoConnOptType) {
        this.qoConnOptType = qoConnOptType;
    }

    public String getQoConnOpt() {
        return qoConnOpt;
    }

    public void setQoConnOpt(String qoConnOpt) {
        this.qoConnOpt = qoConnOpt;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUid() {
        return createUid;
    }

    public void setCreateUid(String createUid) {
        this.createUid = createUid;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUid() {
        return updateUid;
    }

    public void setUpdateUid(String updateUid) {
        this.updateUid = updateUid;
    }
}
